### Type parameters

- #### T

### Hierarchy

- TransactBaseOperation<T, Update, TransactUpdate<T>>
  - TransactUpdate

### Implements

- ConditionalParamsHost

## Index

### Constructors

- constructor

### Properties

- metadata
- modelClazz
- params

### Accessors

- transactItem

### Methods

- onlyIf
- onlyIfAttribute
- operations
- returnValuesOnConditionCheckFailure

## Constructors

### constructor

- new TransactUpdate(modelClazz: ModelConstructor<T>, partitionKey: any, sortKey?: any): TransactUpdate

- Overrides TransactBaseOperation.constructor

  - Defined in dynamo/transactwrite/transact-update.ts:8

  #### Parameters

  - ##### modelClazz: ModelConstructor<T>

  - ##### partitionKey: any

  - ##### Optional sortKey: any

  #### Returns TransactUpdate

## Properties

### metadata

metadata: Metadata<T>

Inherited from TransactBaseOperation.metadata

- Defined in dynamo/transactwrite/transact-base-operation.ts:16

### modelClazz

modelClazz: ModelConstructor<T>

Inherited from TransactBaseOperation.modelClazz

- Defined in dynamo/transactwrite/transact-base-operation.ts:17

### params

params: Update

Implementation of ConditionalParamsHost.params

Inherited from TransactBaseOperation.params

- Defined in dynamo/transactwrite/transact-base-operation.ts:15

## Accessors

### transactItem

transactItem:

Overrides TransactBaseOperation.transactItem

- Defined in dynamo/transactwrite/transact-update.ts:20

## Methods

### onlyIf

- onlyIf(...conditionDefFns: ConditionExpressionDefinitionFunction[]): TransactUpdate<T>

- Inherited from TransactBaseOperation.onlyIf

  - Defined in dynamo/transactwrite/transact-base-operation.ts:42

  #### Parameters

  - ##### Rest ...conditionDefFns: ConditionExpressionDefinitionFunction[]

  #### Returns TransactUpdate<T>

### onlyIfAttribute

- onlyIfAttribute(attributePath: keyof T): RequestConditionFunction<TransactUpdate<T>>

- Inherited from TransactBaseOperation.onlyIfAttribute

  - Defined in dynamo/transactwrite/transact-base-operation.ts:38

  #### Parameters

  - ##### attributePath: keyof T

  #### Returns RequestConditionFunction<TransactUpdate<T>>

### operations

- operations(...updateDefFns: UpdateExpressionDefinitionFunction[]): TransactUpdate<T>

- - Defined in dynamo/transactwrite/transact-update.ts:15

  #### Parameters

  - ##### Rest ...updateDefFns: UpdateExpressionDefinitionFunction[]

  #### Returns TransactUpdate<T>

### returnValuesOnConditionCheckFailure

- returnValuesOnConditionCheckFailure(value: DynamoDB.ReturnValuesOnConditionCheckFailure): void

- Inherited from TransactBaseOperation.returnValuesOnConditionCheckFailure

  - Defined in dynamo/transactwrite/transact-base-operation.ts:48

  #### Parameters

  - ##### value: DynamoDB.ReturnValuesOnConditionCheckFailure

  #### Returns void

Generated using TypeDoc